Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Class Properties

    java.lang.Object
      org.netbeans.api.debugger.Properties

    public abstract class Properties

extends Object

Utility class hepls store properties.

Nested Class Summary
`static interface` | `Properties.Reader` This class helps to store and read custom types using `setObject(java.lang.String, java.lang.Object)` and `getObject(java.lang.String, java.lang.Object)` methods.

Constructor Summary
`Properties()`

Method Summary
`abstract Object[]` | `getArray(String propertyName, Object[] defaultValue)` Reads array property from storage.
`abstract boolean` | `getBoolean(String propertyName, boolean defaultValue)` Reads boolean property from storage.
`abstract byte` | `getByte(String propertyName, byte defaultValue)` Reads byte property from storage.
`abstract char` | `getChar(String propertyName, char defaultValue)` Reads char property from storage.
`abstract Collection` | `getCollection(String propertyName, Collection defaultValue)` Reads Collection property from storage.
`static Properties` | `getDefault()` Returns shared instance of Properties class.
`abstract double` | `getDouble(String propertyName, double defaultValue)` Reads double property from storage.
`abstract float` | `getFloat(String propertyName, float defaultValue)` Reads float property from storage.
`abstract int` | `getInt(String propertyName, int defaultValue)` Reads int property from storage.
`abstract long` | `getLong(String propertyName, long defaultValue)` Reads long property from storage.
`abstract Map` | `getMap(String propertyName, Map defaultValue)` Reads Map property from storage.
`abstract Object` | `getObject(String propertyName, Object defaultValue)` Reads Object property from storage.
`abstract Properties` | `getProperties(String propertyName)` Returns Properties instance for some "subfolder" in properties file.
`abstract short` | `getShort(String propertyName, short defaultValue)` Reads short property from storage.
`abstract String` | `getString(String propertyName, String defaultValue)` Reads String property from storage.
`abstract void` | `setArray(String propertyName, Object[] value)` Sets a new value of property with given propertyName.
`abstract void` | `setBoolean(String propertyName, boolean value)` Sets a new value of property with given propertyName.
`abstract void` | `setByte(String propertyName, byte value)` Sets a new value of property with given propertyName.
`abstract void` | `setChar(String propertyName, char value)` Sets a new value of property with given propertyName.
`abstract void` | `setCollection(String propertyName, Collection value)` Sets a new value of property with given propertyName.
`abstract void` | `setDouble(String propertyName, double value)` Sets a new value of property with given propertyName.
`abstract void` | `setFloat(String propertyName, float value)` Sets a new value of property with given propertyName.
`abstract void` | `setInt(String propertyName, int value)` Sets a new value of property with given propertyName.
`abstract void` | `setLong(String propertyName, long value)` Sets a new value of property with given propertyName.
`abstract void` | `setMap(String propertyName, Map value)` Sets a new value of property with given propertyName.
`abstract void` | `setObject(String propertyName, Object value)` Sets a new value of property with given propertyName.
`abstract void` | `setShort(String propertyName, short value)` Sets a new value of property with given propertyName.
`abstract void` | `setString(String propertyName, String value)` Sets a new value of property with given propertyName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Properties

    public Properties()

Method Detail

### getDefault

    public static Properties getDefault()

  Returns shared instance of Properties class.

  Returns:
    shared instance of Properties class

### getString

    public abstract String getString(String propertyName,
                                     String defaultValue)

  Reads String property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setString

    public abstract void setString(String propertyName,
                                   String value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getInt

    public abstract int getInt(String propertyName,
                               int defaultValue)

  Reads int property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setInt

    public abstract void setInt(String propertyName,
                                int value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getChar

    public abstract char getChar(String propertyName,
                                 char defaultValue)

  Reads char property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setChar

    public abstract void setChar(String propertyName,
                                 char value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getFloat

    public abstract float getFloat(String propertyName,
                                   float defaultValue)

  Reads float property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setFloat

    public abstract void setFloat(String propertyName,
                                  float value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getLong

    public abstract long getLong(String propertyName,
                                 long defaultValue)

  Reads long property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setLong

    public abstract void setLong(String propertyName,
                                 long value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getDouble

    public abstract double getDouble(String propertyName,
                                     double defaultValue)

  Reads double property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setDouble

    public abstract void setDouble(String propertyName,
                                   double value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getBoolean

    public abstract boolean getBoolean(String propertyName,
                                       boolean defaultValue)

  Reads boolean property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setBoolean

    public abstract void setBoolean(String propertyName,
                                    boolean value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getByte

    public abstract byte getByte(String propertyName,
                                 byte defaultValue)

  Reads byte property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setByte

    public abstract void setByte(String propertyName,
                                 byte value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getShort

    public abstract short getShort(String propertyName,
                                   short defaultValue)

  Reads short property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setShort

    public abstract void setShort(String propertyName,
                                  short value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getObject

    public abstract Object getObject(String propertyName,
                                     Object defaultValue)

  Reads Object property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setObject

    public abstract void setObject(String propertyName,
                                   Object value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getArray

    public abstract Object[] getArray(String propertyName,
                                      Object[] defaultValue)

  Reads array property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setArray

    public abstract void setArray(String propertyName,
                                  Object[] value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getCollection

    public abstract Collection getCollection(String propertyName,
                                             Collection defaultValue)

  Reads Collection property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setCollection

    public abstract void setCollection(String propertyName,
                                       Collection value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getMap

    public abstract Map getMap(String propertyName,
                               Map defaultValue)

  Reads Map property from storage.

  Parameters:
    `propertyName` - a propertyName of property
    `defaultValue` - a default value to be used if property is not set
  Returns:
    a current value of property

### setMap

    public abstract void setMap(String propertyName,
                                Map value)

  Sets a new value of property with given propertyName.

  Parameters:
    `propertyName` - a propertyName of property
    `value` - the new value of property

### getProperties

    public abstract Properties getProperties(String propertyName)

  Returns Properties instance for some "subfolder" in properties file.

  Parameters:
    `propertyName` - a subfolder name
  Returns:
    a Properties instance for some "subfolder" in properties file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.